Package ghidra.app.util.bin.format.golang.rtti.types

# Class GoTypeBridge

java.lang.Object
ghidra.app.util.bin.format.golang.rtti.types.GoType
ghidra.app.util.bin.format.golang.rtti.types.GoTypeBridge

All Implemented Interfaces:
  `StructureMarkup<GoType>`, `StructureVerifier`

public class GoTypeBridge extends GoType
A limited use wrapper/bridge between a GoType and a Ghidra DataType, this wrapper only supports the `recoverDataType()` call.

- ## Field Summary

  ### Fields inherited from class ghidra.app.util.bin.format.golang.rtti.types.GoType

  `context, programContext, typ, uncommonType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GoTypeBridge(GoType delegateGoType, DataType ghidraType, GoRttiMapper goBinary)`
  `GoTypeBridge(String delegateGoTypeName, DataType ghidraType, GoRttiMapper goBinary)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Returns the name of this type.
  `String`
  `getPackagePathString()`
  Returns the package path of this type.
  `DataType`
  `recoverDataType()`
  Converts a Go RTTI type structure into a Ghidra data type.
  `String`
  `toString()`

  ### Methods inherited from class ghidra.app.util.bin.format.golang.rtti.types.GoType

  `additionalMarkup, discoverGoTypes, getBaseType, getDebugId, getEndOfTypeInfo, getFullyQualifiedName, getImplementsInterfaceString, getMethodInfoList, getMethodListString, getMethodPrototypeString, getMethodPrototypeString, getOffsetEndOfFullType, getSpecializedTypeClass, getStructureContext, getStructureLabel, getStructureName, getStructureNamespace, getSymbolName, getTypeDeclString, getTypeOffset, getUncommonType, isValid`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ghidra.app.util.bin.format.golang.structmapping.StructureMarkup

  `getExternalInstancesToMarkup`

- ## Constructor Details

  - ### GoTypeBridge

    public GoTypeBridge(GoType delegateGoType, DataType ghidraType, GoRttiMapper goBinary)

  - ### GoTypeBridge

    public GoTypeBridge(String delegateGoTypeName, DataType ghidraType, GoRttiMapper goBinary)

- ## Method Details

  - ### recoverDataType

    public DataType recoverDataType() throws IOException
    Description copied from class: `GoType`
    Converts a Go RTTI type structure into a Ghidra data type.

    This default implementation just creates an opaque blob of the appropriate size

    Overrides:
      `recoverDataType` in class `GoType`
    Returns:
      `DataType` that represents the Go type
    Throws:
      `IOException` - if error getting name of the type

  - ### getPackagePathString

    public String getPackagePathString()
    Description copied from class: `GoType`
    Returns the package path of this type.
    Overrides:
      `getPackagePathString` in class `GoType`
    Returns:
      the package path of this type

  - ### getName

    public String getName()
    Description copied from class: `GoType`
    Returns the name of this type.
    Overrides:
      `getName` in class `GoType`
    Returns:
      the name of this type

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `GoType`